#ifndef _PLAY_H
#define _PLAY_H

#define N 4
#define LAST_MOVES_COUNT 5

typedef enum {
	UP,
	DOWN,
	RIGHT,
	LEFT,
	NO_DIRECTION
} direction;


static direction last_moves[LAST_MOVES_COUNT];
static last_dir_index;
static int map[N][N];
static int aux_map[N][N];


void play();
bool check_finished();
direction verify_direction();
tile find_empty_tile(); // {-1, -1} if not possible
bool set_random_tile();
void draw_board();
void draw_tile(int j, int i);
void erase_tile(int j, int i);

void move_up();
void move_down();
void move_right();
void move_left();

void rotate_up();
void rotate_down();
void rotate_right();

#endif